### Signal

# Hinoko FwIsoResource::allocated

since: 0.7

#### Declaration

    void
    allocated (
      HinokoFwIsoResource* self,
      guint channel,
      guint bandwidth,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Emitted when allocation of isochronous resource finishes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 0.7

#### Parameters

`channel`

  Type: `guint`

  The deallocated channel number.

`bandwidth`

  Type: `guint`

  The deallocated amount of bandwidth.

`error`

  Type: `GError`

  A `GError`. Error can be generated with domain of `HinokoFwIsoResourceError` and its EVENT code.

  The argument can be `NULL`.
  The data is owned by the caller of the function.